1. LegalEntities
Tahdah API
  • Introduction
  • Webhooks
  • Unresolved schema mappings
  • TrustGroups
    • About Trust Groups
    • Endpoints
      • List Trust Groups
      • Create a Trust Group
      • Update Trust Group
      • List Trust Group Legal Entity Members
      • List Trust Group Candidate Members
      • Add Trust Group Member
      • Remove Trust Group Member
    • Member Updated
  • EventCredits
    • Add Credits to Legal Entity
    • Event Credits Updated
  • Tracker
    • About Tracker
    • Get Candidate Targets
    • Get Legal Entity Targets
  • Pathways
    • About Pathways
    • Registrations
      • About Registrations
      • Get Registrations
      • Create Registations
      • Registration Created
    • Get Legal Entity Pathways
    • Get Pathway
  • DigitalBadges
    • Issue Digital Badge
    • Get Badge Templates
  • LegalEntities
    • People/Staff
      • Legal Entity People List
      • Connect a Person to a Legal Entity
      • Person Added
      • Roles Updated
    • Legal Entity Details
      GET
    • Create Legal Entity
      POST
    • Legal Entity Created
  • Candidates
    • EndPoints
      • Create Candidate
      • Update a Candidate
      • Delete Candidate
      • Add/Remove tags to a candidate
    • Webhooks
  • Catalogues
    • Catalogue Entry Published
  • Finance
    • Ledger Entry Created
  • Schemas
    • Inbound
    • Events
      • EventTemplateCreditRequest
      • EventTemplateCredit
    • Catalogue
      • CatalogueEntry
    • Finance
      • Currency
      • InvoiceItem
      • PaymentItem
      • LedgerEntry
      • InvoiceAddress
      • Entity
    • LearningExperiences
      • LearningExperienceRef
      • PathwayTypeRef
    • Candidate
      • CandidateRef
    • LegalEntities
      • RoleRef
      • LegalEntity
      • legalEntityIdentifier
    • TrustGroupMember
    • TrustGroup
    • temp
    • Candidate
    • HATEOAS Link
  1. LegalEntities

Legal Entity Created

Pending
Webhook
POST
legalEntities.created
This webhook is triggerred whenever a legal entity is created.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Example
{
    "addedAt": "2019-08-24T14:15:22.123Z",
    "name": "string",
    "tradingName": "string",
    "description": "string",
    "logoUrl": "string",
    "publicWebsiteAddress": "string",
    "contactEmail": "string",
    "contactUsLink": "string",
    "vatNumber": "string",
    "charityNumber": "string",
    "childAgeLimit": 16,
    "address1": "string",
    "address2": "string",
    "address3": "string",
    "town": "string",
    "county": "string",
    "postcode": "string",
    "currencyId": 1,
    "timezone": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://your-api-server.com' \
--header 'Webhook-Signature;' \
--header 'Webhook-Verb: legalEntities.created' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "addedAt": "2019-08-24T14:15:22.123Z",
    "name": "string",
    "tradingName": "string",
    "description": "string",
    "logoUrl": "string",
    "publicWebsiteAddress": "string",
    "contactEmail": "string",
    "contactUsLink": "string",
    "vatNumber": "string",
    "charityNumber": "string",
    "childAgeLimit": 16,
    "address1": "string",
    "address2": "string",
    "address3": "string",
    "town": "string",
    "county": "string",
    "postcode": "string",
    "currencyId": 1,
    "timezone": "string"
}'

Responses

🟢200Success
application/json
Body

Example
{}
Modified at 2026-03-11 14:47:23
Previous
Create Legal Entity
Next
Create Candidate
Built with